"use client";

import { FormEvent } from "react";
import { allProducers, insertWine } from "~/server/db";

export default function CreateWine() {
  function handleSubmit(event: FormEvent<HTMLFormElement>) {
    event.preventDefault();

    const formData = new FormData(event.currentTarget);
    const response = insertWine(formData);
  }
  return (
    <form onSubmit={handleSubmit}>
      <select name="producer" id="producer">
        {allProducers.map((producer) => (
          <option key={producer.id} value={producer.id}>
            {producer.name}
          </option>
        ))}
      </select>
    </form>
  );
}
