import "./envConfig"
import { drizzle } from 'drizzle-orm/vercel-postgres';
import { sql } from '@vercel/postgres';
import * as schema from './schema';

export const db = drizzle(sql, { schema });

export const allWines = await db.query.wines.findMany();

type NewWine = typeof schema.wines.$inferInsert;
export const insertWine = async (wine: NewWine) => {
    return db.insert(schema.wines).values(wine).returning();
}

export const allProducers = await db.query.producers.findMany();
